package teikade.debug;

import java.io.*;
import teikade.net.*;

public class ViewSource extends Packet {
    String className;
    int lineNumber;

    public ViewSource() {
    }

    public ViewSource(String className, int lineNumber) {
	this.className  = className;
	this.lineNumber = lineNumber;
    }

    public void init() throws IllegalArgumentException {
	className  = getStringArgument();
	lineNumber = getIntArgument();
    }

    public void execute(Object target)  {
	((teikade.gui.Browser)target).viewSource(className, lineNumber);
    }

    public String argumentsToString() {
	return toStreamString(className) + ", " + lineNumber;
    }

    public String getClassName() {
	return className;
    }

    public int getLineNumber() {
	return lineNumber;
    }
}
