/*
 * Copyright (c) 1995-1998 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.gui.component;

import java.awt.*;
import teikade.gui.editor.EditArea;
import teikade.sys.UseProperties;
import teikade.sys.SystemManager;
import teikade.sys.TeikadeProperties;

public class DTextArea extends EditArea implements UseProperties {

    public DTextArea() {
	super();
	updateProperties();
    }

    public DTextArea(int rows, int cols) {
	super(rows, cols);
	updateProperties();
    }

    public void updateProperties() {
	Font font = TeikadeProperties.getFont("font.code");
	if (font != null && !font.equals(getFont())) {
	    setFont(font);
	}
	Color color = TeikadeProperties.getColor("color.code.foreground");
	if (color != null) setForeground(color);
	color = TeikadeProperties.getColor("color.code.background");
	if (color != null) setBackground(color);
    }

    public void select(int sel) {
	select(sel, sel);
    }

    public void select(int start, int end) {
	if (SystemManager.onWin32) requestFocus();
	super.select(start, end);
    }

    public void setEditable(boolean editable) {
	if (super.isEditable() != editable) {
	    super.setEditable(editable);	// for flickerless
	}
    }
}
