/*
 * Copyright (c) 1997-1998 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.gui.editor;

import java.awt.Toolkit;
import java.awt.datatransfer.*;

public class ClipBoard1_1 extends ClipBoard1_0 implements ClipBoardPeer, ClipboardOwner {

    //private static final Clipboard clipboard = Toolkit.getDefaultToolkit().getSystemClipboard();

    public void setString(String str) {
	super.setString(str);
	if (EditProperties.useSystemClipboard) {
	    try {
		Clipboard clipboard = Toolkit.getDefaultToolkit().getSystemClipboard();
		clipboard.setContents(new StringSelection(str), this);
		// confirm contents for JDK1.2Beta4
		String contents = getString(clipboard);
		if (!contents.equals(str)) {
		    clipboard.setContents(new StringSelection(str), this);
		}
	    } catch (Exception e) {
	    }
	}
    }

    public String getString() {
	if (EditProperties.useSystemClipboard) {
	    try {
		return getString(Toolkit.getDefaultToolkit().getSystemClipboard());
	    } catch (Exception e) {
	    }
	}
	return super.getString();
    }

    String getString(Clipboard clipboard) {
	try {
	    return (String)clipboard.getContents(this).getTransferData(DataFlavor.stringFlavor);
	} catch (Exception e) {
	}
	return super.getString();
    }

    public void lostOwnership(Clipboard clipboard, Transferable contents) {
    }
}
