/*
 * Copyright (c) 1995-1998 PFU Limited.
 *	author Osamu Satoh
 */
package teikade.sys;

import teikade.lang.*;

/**
 * the enumurator class for method prototypes
 */
class MethodPrototypeEnumerator extends ManagerEnumerator {
	AccessFlags hideFlags = null;

    MethodPrototypeEnumerator(Manager manager, AccessFlags hide) {
	super(manager, false);
	hideFlags = hide;
    }

    public boolean hasMoreElements() {
	if (hideFlags != null) {
	    while (manager != null) {
		MethodSpec spec = ((MethodManager)manager).spec();
		if (spec == null) break;
		if (manager instanceof HeaderManager) break;
		if (!spec.inhibitedBy(hideFlags)) break;
		nextElement();
	    }
	}
	return manager != null;
    }

    /*
     * java.util.Enumeration stuff
     */
    public Object nextElement(){
	return ((MethodManager)super.nextElement()).spec().prototype();
    }
}
