/*
 * Copyright (c) 1997 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.util;

import java.io.*;
import teikade.sys.SystemManager;
import teikade.sys.TeikadeFile;

public class CodeConverter {
    private static CodeConverterPeer peer;

    static {
	if (SystemManager.onJDK1_1) {
	    peer = new CodeConverter1_1();
	} else {
	    peer = new CodeConverter1_0();
	}
    }

    public static String toString(byte bytes[]) {
	return toString(bytes, 0, bytes.length);
    }

    public static String toString(byte bytes[], int offset, int count) {
	return peer.toString(bytes, offset, count);
    }

    public static String toString(TeikadeFile file)
    throws FileNotFoundException, IOException {
	return peer.toString(file);
    }

    public static String readLine(DataInputStream dis) throws IOException {
	return peer.readLine(dis);
    }

    public static void writeBytes(TeikadeFile file, String string) throws IOException {
	OutputStream os = file.getOutputStream();
	try {
	    writeBytes(os, string);
	} finally {
	    os.close();
	}
    }

    public static void writeBytes(OutputStream os, String string) throws IOException {
	os.write(toBytes(string));
    }

    public static byte[] toBytes(String string) {
	return peer.toBytes(string);
    }
}
